/**
 * Meat Fighter
 * Copyright (C) 2003  Michael Birken
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Meat Fighter and JaminWare are trademarks of Michael Birken.
 * All Rights Reserved.
 * http://www.meatfighter.com
 * o__1@hotmail.com
 */
package meatfighter;

import java.awt.Color;

public class StageDescription {
  public final int X, Y, TIME;

  public StageDescription(int x, int y, int time) {
    X = x;
    Y = y;
    TIME = time;
  }

  public static IFighter getFighter(int stage) {
    IFighter f = null;

    switch(stage) {
      case 1: f = new Sal(); break;
      case 2: f = new Rat(); break;
      case 3: f = new Oscar(); break;
      case 4: f = new Hot(); break;
      case 5: f = new Cornelius(); break;
      case 6: f = new Oliver(); break;
    }

    return f;
  }
}