/**
 * Meat Fighter
 * Copyright (C) 2003  Michael Birken
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Meat Fighter and JaminWare are trademarks of Michael Birken.
 * All Rights Reserved.
 * http://www.meatfighter.com
 * o__1@hotmail.com
 */
package meatfighter;

import gamingtools.*;
import java.awt.*;
import java.applet.*;

public class Beef implements IFighter {

  int x = 340, dazed = 0, hits = 200;
  Image fr[];
  boolean dead = false;
  Image currentImage;

  public void init() {
    fr = Gallery.BEEF;
  }

  public void update(int f2X, int f1X, int diff) {
  }

  public void damage() {
    if (dead == false) {
      dazed = 2;
      if (hits > 0)
        hits--;
      else {
        dead = true;
        Jukebox.SPLAT.play();
      }
    }
  }

  public void punch() {
  }

  public boolean isPunched() {
    return false;
  }

  public void setOpponent(IFighter opponent) {
  }

  public Image getImage() {
    return currentImage;
  }

  public void update() {
    if (dead) {
      currentImage = fr[2];
      return;
    }
    if (--dazed > 0) {
      currentImage = fr[1];
      return;
    }
    currentImage = fr[0];
  }

  public int getX() {
    return x;
  }

  public int getY() {
    return 170;
  }

  public void update(int otherX, int diff) {
  }

  public void moveLeft() {
  }

  public void moveRight() {
  }

  public void kick() {
  }

  public void jump() {
  }

  public void block() {
  }

  public void unblock() {
  }

  public void setFighter(boolean leftFighter) {
  }

  public void setAutomatic(boolean auto) {
  }

  public int getVitality() {
    return 300;
  }

  public void resetVitality() {
  }

  public void setWinner() {
  }

  public boolean isDead() {
    return dead;
  }
}